This change adds the job to trigger sonar scans on the ric-plt-dbaas
[ci-management.git] / jjb / ric-plt-dbaas / setup-dbaas-build-deb.sh
diff --git a/jjb/ric-plt-dbaas/setup-dbaas-build-deb.sh b/jjb/ric-plt-dbaas/setup-dbaas-build-deb.sh
new file mode 100644 (file)
index 0000000..6b89a09
--- /dev/null
@@ -0,0 +1,41 @@
+#!/bin/bash\r
+##############################################################################\r
+#\r
+#   Copyright (c) 2020 HCL Technology.\r
+#\r
+#   Licensed under the Apache License, Version 2.0 (the "License");\r
+#   you may not use this file except in compliance with the License.\r
+#   You may obtain a copy of the License at\r
+#\r
+#       http://www.apache.org/licenses/LICENSE-2.0\r
+#\r
+#   Unless required by applicable law or agreed to in writing, software\r
+#   distributed under the License is distributed on an "AS IS" BASIS,\r
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+#   See the License for the specific language governing permissions and\r
+#   limitations under the License.\r
+#\r
+##############################################################################\r
+\r
+# Installs prerequisites needed to compile & test SDL code\r
+# and build RPM/DEB packages on a Debian/Ubuntu machine.\r
+\r
+echo "--> setup-sdl-build-deb.sh"\r
+\r
+# Ensure we fail the job if any steps fail.\r
+set -eux -o pipefail\r
+\r
+# install prereqs\r
+sudo apt-get update && sudo apt-get -q -y install \\r
+  autoconf-archive libhiredis-dev rpm valgrind \\r
+  libboost-filesystem-dev libboost-program-options-dev libboost-system-dev\r
+\r
+# generate configure script\r
+cd redismodule\r
+autoreconf --install\r
+cd ..\r
+curl -L https://github.com/cpputest/cpputest/releases/download/v3.8/cpputest-3.8.tar.gz | \\r
+    tar --strip-components=1 -xzf -\r
+cmake -DCMAKE_BUILD_TYPE=Debug -DBUILD_COVERAGE=ON -DMEMORY_LEAK_DETECTION=OFF .\r
+sudo make install\r
+echo "--> setup-sdl-build-deb.sh ends"
\ No newline at end of file